// APISampleDoc.h : interface of the CAPISampleDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_APISAMPLEDOC_H__CC7AF0A5_F43D_40AB_A7A8_BB75BFF4CCA3__INCLUDED_)
#define AFX_APISAMPLEDOC_H__CC7AF0A5_F43D_40AB_A7A8_BB75BFF4CCA3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CAPISampleDoc : public CDocument
{
protected: // create from serialization only
	CAPISampleDoc();
	DECLARE_DYNCREATE(CAPISampleDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAPISampleDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	double * myData;
	int sampleCount;
	double myRBW;
	double myDecimation;
	double startFreq;
	double stopFreq;
	bool bHaveValidPlot;
	virtual ~CAPISampleDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CAPISampleDoc)
	afx_msg void OnActionInitialize();
	afx_msg void OnActionConfigure();
	afx_msg void OnActionFastsweep();
	afx_msg void OnActionSlowsweep();
	afx_msg void OnActionPresetsignalhound25sec();
	afx_msg void OnActionGetiqdata();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_APISAMPLEDOC_H__CC7AF0A5_F43D_40AB_A7A8_BB75BFF4CCA3__INCLUDED_)
